<div class="container">
	<div class="row">
		<h3>Gallery Managament</h3>
	</div>

	<app-alert></app-alert>

	<div class="row">
		<h4>Operations</h4>
	</div>
	
	<div class="row">
		<div class="col-sm">

			<a class="btn btn-success btn-add-operation" (click)="addProduct();">Add</a>

		</div>
	</div>

	<div class="row">

		<table class="table table-hover ">
			<thead>
				<tr>
				<th scope="col">#</th>
				<th scope="col">img</th>
				<th scope="col">id</th>
				<th scope="col">name</th>
				<th scope="col">description</th>
				<th scope="col">price</th>
				<th scope="col">code</th>
				<th scope="col">Edit</th>
				<th scope="col">Delete</th>
				</tr>
			</thead>
			<tbody *ngFor="let product of products; index as i">
				<tr>
					<td>{{ i + 1 }}</td>
					<td><img [src]="env.assetUrl + product.path + product.extension" alt="{{product.description}}" class="img-thumbnail"></td>
					<td>{{ product.id }}</td>
					<td>{{ product.name }}</td>
					<td>{{ product.description }}</td>
					<td>{{ product.price }}</td> 
                    <td>{{ product.code }}</td>

					<td><a class="btn btn-warning" (click)="editProduct(product)">edit</a></td>
					<td><a class="btn btn-danger" (click)="deleteProduct(product)">delete</a></td>
				</tr>
			</tbody>
		</table>
	</div>
</div>